org.codehaus.plexus.components.interactivity

## Interface InputHandler

All Known Implementing Classes:
  AbstractInputHandler, DefaultInputHandler

    public interface InputHandler

Manage user input from different sources.

Version:
  $Id: InputHandler.java 2649 2005-10-10 16:51:51Z brett $
Author:
  Brett Porter

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`java.lang.String` `readLine()` Read a single line of input, swalling the newline at the end.
`java.util.List` `readMultipleLines()` Read a set of lines.
`java.lang.String` `readPassword()` Read a single line of input, swalling the newline at the end.

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### readLine

    java.lang.String readLine()
                              throws java.io.IOException

Read a single line of input, swalling the newline at the end. If the input can be echoed, it will be.

Returns:
  the line read
Throws:
  `java.io.IOException`

#### readPassword

    java.lang.String readPassword()
                                  throws java.io.IOException

Read a single line of input, swalling the newline at the end. This method guarantees input is not echoed.

Returns:
  the line read
Throws:
  `java.io.IOException`

#### readMultipleLines

    java.util.List readMultipleLines()
                                     throws java.io.IOException

Read a set of lines. Equivalent to multiple calls to `readLine()`. Ends when an empty line is encountered.

Returns:
  a list of lines read
Throws:
  `java.io.IOException`